<?php
/**
 * @package 	plugin_ospropertygoogleadsense - Google Adsense plugin for OS Property
 * @version		1.0
 * @created		April 2014

 * @author		Dang Thuc Dam
 * @email		damdt@joomservices.com
 * @website		http://joomdonation.com
 * @copyright	Copyright (C) 2014 Joomdonation. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 */

// no direct access
defined('_JEXEC') or die;

class plgOspropertyGoogleAdsense extends JPlugin
{
	function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
	}

	function onTopPropertyDetails($item)
	{
		global $mainframe;
		$uniqueid					= rand(1000,9999)."top";
		$ad_publisher_id 			= $this->params->get('ad_publisher_id','');
		$testmode 					= $this->params->get('testmode','');
		$adslot_leaderboard 		= $this->params->get('adslot_leaderboard','');
		$adslot_banner 				= $this->params->get('adslot_banner','');
		$adslot_large_rectangle 	= $this->params->get('adslot_large_rectangle','');
		$adslot_medium_rectangle 	= $this->params->get('adslot_medium_rectangle','');
		$adslot_square 				= $this->params->get('adslot_square','');
		$adslot_link_unit 			= $this->params->get('adslot_link_unit','');
		$adun1 						= $this->params->get('adun1','');
		$adun2 						= $this->params->get('adun2','');
		$adun3 						= $this->params->get('adun3','');
		$ad_style 					= $this->params->get('ad_style','');
		$usertype_ad 				= $this->params->get('usertype_ad','');
		$excatd 					= $this->params->get('excatd','');
		$exptyd 					= $this->params->get('exptyd','');
		
		$db = JFactory::getDbo();
		$db->setQuery("Select * from #__osrs_properties where id = '$item->id'");
		$property = $db->loadObject();
		$cat = 0;
		if(count($excatd) > 0){
			if(in_array($property->category_id,$excatd)){
				$cat = 1;
			}
		}
		
		$type = 0;
		if(count($exptyd) > 0){
			if(in_array($property->pro_type,$exptyd)){
				$type = 1;
			}
		}
		
		$show_user = 0;
		$user = JFactory::getUser();
		if($usertype_ad == 1){
			if($user->id == 0){
				$show_user = 1;
			}
		}
		
		$ads = "";
		if(($adun1 == 1) and ($cat == 0) and ($type == 0) and ($show_user == 0)){
			ob_start();
			echo "<div id=\"rga" . $uniqueid . "\" style=\"$ad_style\">\r\n" ; 
			echo "<script type=\"text/javascript\">\r\n" ; 
			echo "<!--\r\n";
			if ($testmode){
			   echo "  google_adtest = \"on\";\r\n";
		    } 
			echo "	google_ad_client = \"" . $ad_publisher_id. "\";\r\n" ;	
			echo "  divid='rga'+'".$uniqueid."';\r\n" ;	
			 
			echo "	adUnit   = document.getElementById(divid);\r\n";
			echo "	adWidth  = adUnit.offsetWidth;\r\n" ;
			echo "if ( adWidth >= 728 ) {\r\n";
			  /* Leaderboard 728x90 */
			echo "  google_ad_slot	= '".$adslot_leaderboard."';\r\n";
			echo "  google_ad_width	= 728;\r\n";
			echo "  google_ad_height 	= 90;\r\n";
			echo "  	} else if ( adWidth >= 468 ) {\r\n";
			  /* Banner (468 x 60) */
			echo "    google_ad_slot	= '".$adslot_banner."';\r\n";
			echo "    google_ad_width 	= 468;\r\n";
			echo "    google_ad_height 	= 60;\r\n";
			echo "    	} else if ( adWidth >= 336 ) {\r\n";
			  /* Large Rectangle (336 x 280) */
			echo "      google_ad_slot 	= '".$adslot_large_rectangle ."';\r\n";
			echo "      google_ad_width 	= 336;\r\n";
			echo "      google_ad_height 	= 280;\r\n";	
			echo "      } else if ( adWidth >= 300 ) {\r\n";
			  /* Medium Rectangle (300 x 250) */
			echo "        google_ad_slot 	= '".$adslot_medium_rectangle."';\r\n";
			echo "        google_ad_width 	= 300;\r\n";
			echo "        google_ad_height 	= 250;\r\n";
			echo "        	} else if ( adWidth >= 250 ) {\r\n";
			  /* Square (250 x 250) */
			echo "          google_ad_slot	= '".$adslot_square ."';\r\n";	
			echo "          google_ad_width 	= 250;\r\n";	
			echo "          google_ad_height 	= 250;\r\n";	
			echo "          	} else { \r\n";
			  /* Ad Link Unit (200 x 90) */
			echo "            google_ad_slot 	= '".$adslot_link_unit."';\r\n";
			echo "            google_ad_width 	= 200;\r\n";	
			echo "            google_ad_height 	= 90;\r\n";	
		  	echo " } \r\n";
			//echo "stringa=' aw:' +adWidth+ ' as:' +google_ad_slot+ ' adw:' +google_ad_width+ ' adh:' +google_ad_height+ ' adp:'+google_ad_client;";
		 	//echo " alert(stringa);";
		 	echo "//--> \r\n" ;
		
			echo "</script>\r\n"	;
			echo "<script type=\"text/javascript\" src=\"http://pagead2.googlesyndication.com/pagead/show_ads.js\">\r\n" ;
			echo "</script>\r\n" ;
			echo "</div>\r\n" ;
			$ads = ob_get_contents();
			ob_end_clean();
			
			return $ads;
		}
	}
	
	function onMiddlePropertyDetails($item)
	{
		global $mainframe;
		$uniqueid					= rand(1000,9999)."top";
		$ad_publisher_id 			= $this->params->get('ad_publisher_id','');
		$testmode 					= $this->params->get('testmode','');
		$adslot_leaderboard 		= $this->params->get('adslot_leaderboard','');
		$adslot_banner 				= $this->params->get('adslot_banner','');
		$adslot_large_rectangle 	= $this->params->get('adslot_large_rectangle','');
		$adslot_medium_rectangle 	= $this->params->get('adslot_medium_rectangle','');
		$adslot_square 				= $this->params->get('adslot_square','');
		$adslot_link_unit 			= $this->params->get('adslot_link_unit','');
		$adun1 						= $this->params->get('adun1','');
		$adun2 						= $this->params->get('adun2','');
		$adun3 						= $this->params->get('adun3','');
		$ad_style 					= $this->params->get('ad_style','');
		$usertype_ad 				= $this->params->get('usertype_ad','');
		$excatd 					= $this->params->get('excatd','');
		$exptyd 					= $this->params->get('exptyd','');
		
		$db = JFactory::getDbo();
		$db->setQuery("Select * from #__osrs_properties where id = '$item->id'");
		$property = $db->loadObject();
		$cat = 0;
		if(count($excatd) > 0){
			if(in_array($property->category_id,$excatd)){
				$cat = 1;
			}
		}
		
		$type = 0;
		if(count($exptyd) > 0){
			if(in_array($property->pro_type,$exptyd)){
				$type = 1;
			}
		}
		
		$show_user = 0;
		$user = JFactory::getUser();
		if($usertype_ad == 1){
			if($user->id == 0){
				$show_user = 1;
			}
		}
		
		$ads = "";
		if(($adun2 == 1) and ($cat == 0) and ($type == 0) and ($show_user == 0)){
			ob_start();
			echo "<div id=\"rga" . $uniqueid . "\" style=\"$ad_style\">\r\n" ; 
			echo "<script type=\"text/javascript\">\r\n" ; 
			echo "<!--\r\n";
			if ($testmode){
			   echo "  google_adtest = \"on\";\r\n";
		    } 
			echo "	google_ad_client = \"" . $ad_publisher_id. "\";\r\n" ;	
			echo "  divid='rga'+'".$uniqueid."';\r\n" ;	
			 
			echo "	adUnit   = document.getElementById(divid);\r\n";
			echo "	adWidth  = adUnit.offsetWidth;\r\n" ;
			echo "if ( adWidth >= 728 ) {\r\n";
			  /* Leaderboard 728x90 */
			echo "  google_ad_slot	= '".$adslot_leaderboard."';\r\n";
			echo "  google_ad_width	= 728;\r\n";
			echo "  google_ad_height 	= 90;\r\n";
			echo "  	} else if ( adWidth >= 468 ) {\r\n";
			  /* Banner (468 x 60) */
			echo "    google_ad_slot	= '".$adslot_banner."';\r\n";
			echo "    google_ad_width 	= 468;\r\n";
			echo "    google_ad_height 	= 60;\r\n";
			echo "    	} else if ( adWidth >= 336 ) {\r\n";
			  /* Large Rectangle (336 x 280) */
			echo "      google_ad_slot 	= '".$adslot_large_rectangle ."';\r\n";
			echo "      google_ad_width 	= 336;\r\n";
			echo "      google_ad_height 	= 280;\r\n";	
			echo "      } else if ( adWidth >= 300 ) {\r\n";
			  /* Medium Rectangle (300 x 250) */
			echo "        google_ad_slot 	= '".$adslot_medium_rectangle."';\r\n";
			echo "        google_ad_width 	= 300;\r\n";
			echo "        google_ad_height 	= 250;\r\n";
			echo "        	} else if ( adWidth >= 250 ) {\r\n";
			  /* Square (250 x 250) */
			echo "          google_ad_slot	= '".$adslot_square ."';\r\n";	
			echo "          google_ad_width 	= 250;\r\n";	
			echo "          google_ad_height 	= 250;\r\n";	
			echo "          	} else { \r\n";
			  /* Ad Link Unit (200 x 90) */
			echo "            google_ad_slot 	= '".$adslot_link_unit."';\r\n";
			echo "            google_ad_width 	= 200;\r\n";	
			echo "            google_ad_height 	= 90;\r\n";	
		  	echo " } \r\n";
			//echo "stringa=' aw:' +adWidth+ ' as:' +google_ad_slot+ ' adw:' +google_ad_width+ ' adh:' +google_ad_height+ ' adp:'+google_ad_client;";
		 	//echo " alert(stringa);";
		 	echo "//--> \r\n" ;
		
			echo "</script>\r\n"	;
			echo "<script type=\"text/javascript\" src=\"http://pagead2.googlesyndication.com/pagead/show_ads.js\">\r\n" ;
			echo "</script>\r\n" ;
			echo "</div>\r\n" ;
			$ads = ob_get_contents();
			ob_end_clean();
			
			return $ads;
		}
	}
	
	
	function onBottomPropertyDetails($item)
	{
		global $mainframe;
		$uniqueid					= rand(1000,9999)."top";
		$ad_publisher_id 			= $this->params->get('ad_publisher_id','');
		$testmode 					= $this->params->get('testmode','');
		$adslot_leaderboard 		= $this->params->get('adslot_leaderboard','');
		$adslot_banner 				= $this->params->get('adslot_banner','');
		$adslot_large_rectangle 	= $this->params->get('adslot_large_rectangle','');
		$adslot_medium_rectangle 	= $this->params->get('adslot_medium_rectangle','');
		$adslot_square 				= $this->params->get('adslot_square','');
		$adslot_link_unit 			= $this->params->get('adslot_link_unit','');
		$adun1 						= $this->params->get('adun1','');
		$adun2 						= $this->params->get('adun2','');
		$adun3 						= $this->params->get('adun3','');
		$ad_style 					= $this->params->get('ad_style','');
		$usertype_ad 				= $this->params->get('usertype_ad','');
		$excatd 					= $this->params->get('excatd','');
		$exptyd 					= $this->params->get('exptyd','');
		
		$db = JFactory::getDbo();
		$db->setQuery("Select * from #__osrs_properties where id = '$item->id'");
		$property = $db->loadObject();
		$cat = 0;
		if(count($excatd) > 0){
			if(in_array($property->category_id,$excatd)){
				$cat = 1;
			}
		}
		
		$type = 0;
		if(count($exptyd) > 0){
			if(in_array($property->pro_type,$exptyd)){
				$type = 1;
			}
		}
		
		$show_user = 0;
		$user = JFactory::getUser();
		if($usertype_ad == 1){
			if($user->id == 0){
				$show_user = 1;
			}
		}
		
		$ads = "";
		if(($adun3 == 1) and ($cat == 0) and ($type == 0) and ($show_user == 0)){
			ob_start();
			echo "<div id=\"rga" . $uniqueid . "\" style=\"$ad_style\">\r\n" ; 
			echo "<script type=\"text/javascript\">\r\n" ; 
			echo "<!--\r\n";
			if ($testmode){
			   echo "  google_adtest = \"on\";\r\n";
		    } 
			echo "	google_ad_client = \"" . $ad_publisher_id. "\";\r\n" ;	
			echo "  divid='rga'+'".$uniqueid."';\r\n" ;	
			 
			echo "	adUnit   = document.getElementById(divid);\r\n";
			echo "	adWidth  = adUnit.offsetWidth;\r\n" ;
			echo "if ( adWidth >= 728 ) {\r\n";
			  /* Leaderboard 728x90 */
			echo "  google_ad_slot	= '".$adslot_leaderboard."';\r\n";
			echo "  google_ad_width	= 728;\r\n";
			echo "  google_ad_height 	= 90;\r\n";
			echo "  	} else if ( adWidth >= 468 ) {\r\n";
			  /* Banner (468 x 60) */
			echo "    google_ad_slot	= '".$adslot_banner."';\r\n";
			echo "    google_ad_width 	= 468;\r\n";
			echo "    google_ad_height 	= 60;\r\n";
			echo "    	} else if ( adWidth >= 336 ) {\r\n";
			  /* Large Rectangle (336 x 280) */
			echo "      google_ad_slot 	= '".$adslot_large_rectangle ."';\r\n";
			echo "      google_ad_width 	= 336;\r\n";
			echo "      google_ad_height 	= 280;\r\n";	
			echo "      } else if ( adWidth >= 300 ) {\r\n";
			  /* Medium Rectangle (300 x 250) */
			echo "        google_ad_slot 	= '".$adslot_medium_rectangle."';\r\n";
			echo "        google_ad_width 	= 300;\r\n";
			echo "        google_ad_height 	= 250;\r\n";
			echo "        	} else if ( adWidth >= 250 ) {\r\n";
			  /* Square (250 x 250) */
			echo "          google_ad_slot	= '".$adslot_square ."';\r\n";	
			echo "          google_ad_width 	= 250;\r\n";	
			echo "          google_ad_height 	= 250;\r\n";	
			echo "          	} else { \r\n";
			  /* Ad Link Unit (200 x 90) */
			echo "            google_ad_slot 	= '".$adslot_link_unit."';\r\n";
			echo "            google_ad_width 	= 200;\r\n";	
			echo "            google_ad_height 	= 90;\r\n";	
		  	echo " } \r\n";
			//echo "stringa=' aw:' +adWidth+ ' as:' +google_ad_slot+ ' adw:' +google_ad_width+ ' adh:' +google_ad_height+ ' adp:'+google_ad_client;";
		 	//echo " alert(stringa);";
		 	echo "//--> \r\n" ;
		
			echo "</script>\r\n"	;
			echo "<script type=\"text/javascript\" src=\"http://pagead2.googlesyndication.com/pagead/show_ads.js\">\r\n" ;
			echo "</script>\r\n" ;
			echo "</div>\r\n" ;
			$ads = ob_get_contents();
			ob_end_clean();
			
			return $ads;
		}
	}
}